/*-
 * Copyright (c) 1999-2000 Robin Ericsson <lobbin@localhost.nu>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 *      $Id: callback.h,v 1.4 2000/03/25 10:36:06 lobbin Exp $
 */

#ifndef __CALLBACK_H__
#define __CALLBACK_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


    /*
     * Callbacks..
     */
    void destroy_cb                 (GtkWidget *widget, gpointer data);
    void menu_about_cb              (GtkWidget *widget, gpointer data);
    void main_next_button_cb        (GtkWidget *widget, gpointer data);
    void select_file_button_cb      (GtkWidget *widget, gpointer data);
    void verify_button_next_cb      (GtkWidget *widget, gpointer data);
    void status_button_skip_cb      (GtkWidget *widget, gpointer data);
    void status_button_abort_cb     (GtkWidget *widget, gpointer data);
    void create_check_addcomment_cb (GtkWidget *widget, gpointer data);
    void create_button_sfvfile_cb   (GtkWidget *widget, gpointer data);
    void create_button_next_cb      (GtkWidget *widget, gpointer data);
    void button_comment_clicked     (GtkWidget *widget, gpointer data);
    void create_clist_select_row    (GtkWidget *widget, gint row,
                                     gint column, GdkEventButton *event,
                                     gpointer data);
    void create_clist_unselect_row  (GtkWidget *widget, gint row,
                                     gint column, GdkEventButton *event,
                                     gpointer data);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif

